SoulFire LogoSoulFire

Get automation coordination state

GET
/v1/instances/:instance_id/automation/coordination

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string
Formatuuid

Query Parameters

max_entries*integer
Formatint32

Response Body

application/json

application/json

application/json

application/json

curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/automation/coordination?max_entries=0"
{  "state": {    "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366",    "friendly_name": "string",    "settings": {      "preset": "AUTOMATION_PRESET_UNSPECIFIED",      "team_collaboration": true,      "role_policy": "AUTOMATION_ROLE_POLICY_UNSPECIFIED",      "shared_end_entry": true,      "max_end_bots": 0,      "shared_structure_intel": true,      "shared_target_claims": true,      "objective_override": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED",      "target_blaze_rods": 0,      "target_ender_pearls": 0,      "target_ender_eyes": 0,      "target_arrows": 0,      "target_beds": 0    },    "objective": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED",    "active_bots": 0,    "shared_block_count": 0,    "claim_count": 0,    "eye_sample_count": 0,    "shared_counts": [      {        "requirement_key": "string",        "display_name": "string",        "current_count": 0,        "target_count": 0      }    ],    "shared_blocks": [      {        "observer_bot_id": "string",        "observer_account_name": "string",        "dimension": "string",        "x": 0,        "y": 0,        "z": 0,        "block_id": "string",        "last_seen_at": {          "seconds": 0,          "nanos": 0        }      }    ],    "claims": [      {        "key": "string",        "owner_bot_id": "string",        "owner_account_name": "string",        "target": {          "x": 0.1,          "y": 0.1,          "z": 0.1        },        "expires_at": {          "seconds": 0,          "nanos": 0        }      }    ],    "eye_samples": [      {        "bot_id": "41900e0f-e27a-4863-8321-478ccf15bbd8",        "account_name": "string",        "origin": {          "x": 0.1,          "y": 0.1,          "z": 0.1        },        "direction": {          "x": 0.1,          "y": 0.1,          "z": 0.1        },        "recorded_at": {          "seconds": 0,          "nanos": 0        }      }    ]  }}

How is this page?